all:	data rservice xor

data:	data.c
	$(CC) $(CFLAGS) $(LDFLAGS) -s -o data data.c
rservice:	rservice.c
	$(CC) $(CFLAGS) $(LDFLAGS) -s -o rservice rservice.c
xor:	xor.c
	$(CC) $(CFLAGS) $(LDFLAGS) -s -o xor xor.c
clean:
	rm -f *.o data rservice xor
